<?php

namespace api\modules\v1\models;

use common\entities\Dictionaries\ConsumptionRate as ConsumptionRateBase;
use Yii;
use yii\db\ActiveQuery;
use yii\helpers\Url;
use yii\web\Linkable;

class ConsumptionRate extends ConsumptionRateBase implements Linkable
{
    public function fields(): array
    {
        return [
            'id',
            'work' => function () {
                return $this->workList->name;
            },
            'work_scope',
            'work_unit_cost',
            'materials_count' => function () {
                return count($this->materials);
            },
        ];
    }

    public function extraFields(): array
    {
        return ['materials'];
    }

    /**
     * Получение всех записей материалов к норме расходов
     */
    public function getMaterials(): ActiveQuery
    {
        return $this->hasMany(ConsumptionRatesMaterial::class, ['consumption_rate_id' => 'id']);
    }

    public function getLinks(): array
    {
        $url = Yii::$app->urlManagerBackend->createUrl(['consumption-rate/view', 'id' => $this->id]);

        return [
            'view' => Url::to($url, true),
        ];
    }
}
