<?php

namespace api\modules\v1\models;

use common\entities\Dictionaries\WorkList as WorkListBase;
use Yii;
use yii\helpers\Url;
use yii\web\Linkable;

class WorkList extends WorkListBase implements Linkable
{
    public function fields(): array
    {
        return [
            'id',
            'name',
            'alias',
            'description',
            'unit_measure' => function () {
                return $this->unitMeasure->alias;
            },
        ];
    }

    public function getLinks(): array
    {
        $urlView = Yii::$app->urlManagerBackend->createUrl(['work-list/view', 'id' => $this->id]);
        $urlCreate = Yii::$app->urlManagerBackend->createUrl(['work-list/create']);

        return [
            'view' => Url::to($urlView, true),
            'create' => Url::to($urlCreate, true),
        ];
    }
}
