<?php

namespace api\tests\traits;

use common\entities\User\User;

/**
 * Трейт со статичными данными для авторизации.
 */
trait AuthorizationStatic
{
    /**
     * Возвращает код подтверждения получаемый при авторизации.
     *
     * @see /api/config/test-local.php
     */
    final public static function getAuthCode(): int
    {
        return 11001;
    }

    /**
     * Возвращает токен доступа получаемый в процессе авторизации.
     */
    final public static function getAccessToken(): string
    {
        return 'HP187Mvq7Mmm3CTU80dLkGmni_FUN_tT';
    }

    /**
     * Возвращает данные пользователя.
     *
     * @return array
     */
    private function getUserData(): array
    {
        return [
            'id' => 1,
            'phone' => 79997777777,
            'email' => 'peter@example.com',
            'access_token' => static::getAccessToken(),
            'created_at' => 1542813317,
            'updated_at' => 1542813317,
            'access_token_expire_at' => 1558451717,
            'first_name' => 'Петр',
            'last_name' => 'Никонов',
            'status' => User::STATUS_ACTIVE,
            'is_deleted' => 0,
            'deleted_at' => null,
            'color' => '34C15C',
        ];
    }
}
