<?php

namespace api\tests\traits;

/**
 * Трейт со статичными данными для регистрации.
 */
trait RegistrationStatic
{
    /**
     * Возвращает код подтверждения получаемый при регистрации.
     *
     * @see /api/config/test-local.php
     */
    final public static function getRegistrationCode(): int
    {
        return 10001;
    }

    /**
     * Возвращает токен доступа получаемый в процессе регистрации.
     */
    final public static function getAccessToken(): string
    {
        return 'HP187Mvq7Mmm3CTU80dLkGmni_FUH_Tt';
    }

    /**
     * Возвращает пользовательские данные для регистрации.
     *
     * @return array
     */
    final public function getUserData(): array
    {
        return [
            'first_name' => 'Vasily',
            'last_name' => 'Pupkin',
            'email' => 'vasily@example.com',
            'phone' => 79997777777,
        ];
    }
}
