<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;
use yii\bootstrap4\LinkPager;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Юридические лица';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="company-index">

    <p>
        <?= Html::a('Добавить', ['create'], ['class' => 'btn btn-primary']) ?>
    </p>

    <hr>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'tableOptions' => ['class' => 'table table-bordered table-hover'],
        'pager' => ['class' => LinkPager::class],
        'columns' => [
            //['class' => 'yii\grid\SerialColumn'],
            'id',
            //'full_name',
            [
                'attribute' => 'short_name',
                'value' => function ($model) {
                    return Html::a(Html::encode($model->short_name), Url::to(['view', 'id' => $model->id]));
                },
                'format' => 'raw',
                'headerOptions' => ['class' => 'text-wrap'],
            ],
            [
                'attribute' => 'delegate_name',
                'headerOptions' => ['class' => 'text-wrap'],
            ],
            [
                'attribute' => 'delegate_phones',
                'value' => function ($model) {
                    $delegate_phones = $model->delegate_phones->toArray();
                    return implode(', ', $delegate_phones);
                },
                'headerOptions' => ['class' => 'text-wrap'],
            ],
            [
                'attribute' => 'delegate_email',
                'headerOptions' => ['class' => 'text-wrap'],
                'format' => 'email',
            ],
            //'signer_post',
            //'signer_name',
            //'general_phones',
            //'general_email:email',
            //'legal_adress',
            //'physical_adress',
            //'company_type',
            //'inn',
            //'ogrn',
            //'okpo',
            //'kpp',
            //'company_url:url',
            //'payment_account',
            //'bank',
            //'bank_cor_account',
            //'bank_bic',
            //'created_at',
            //'updated_at',
            //['class' => 'yii\grid\ActionColumn'],
        ],
        'rowOptions' => function ($model) {
            $url = Url::to(['view', 'id' => $model['id']]);
            return [
                'onclick' => "window.location.href='$url'",
            ];
        },
    ]); ?>
</div>
