<?php

use common\helpers\DecimalNumberHelper;
use yii\bootstrap4\LinkPager;
use yii\helpers\Html;
use yii\grid\GridView;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Нормы расхода';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="consumption-rate-index">
    <p>
        <?= Html::a('Добавить', ['create'], ['class' => 'btn btn-primary']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'pager' => ['class' => LinkPager::class],
        'columns' => [
            'id',
            [
                'label' => 'Наименование работы',
                'value' => function ($model) {
                    return $model->workList->name;
                },
            ],
            [
                'label' => 'Стоимость работы',
                'value' => function ($model) {
                    return DecimalNumberHelper::numFormat($model->workAmount());
                },
            ],
            [
                'label' => 'Единица измерения работы',
                'value' => function ($model) {
                    return $model->workList->unitMeasure->alias;
                },
            ],
            [
                'label' => 'Итоговая стоимость',
                'value' => function ($model) {
                    return DecimalNumberHelper::numFormat($model->amount());
                },
            ],
            ['class' => 'yii\grid\ActionColumn',
                'header' => 'Опции',
                'template' => '{view} {update} ',
            ],
        ],
    ]); ?>
</div>
