<?php

use yii\bootstrap4\LinkPager;
use yii\grid\GridView;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'История изменений по этапам сметы';
?>
<div class="contract-estimate-history">
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'pager' => ['class' => LinkPager::class],
        'tableOptions' => ['class' => 'table table-bordered table-hover table-responsive'],
        'columns' => [
            //'id',
            [
                'attribute' => 'event',
                'value' => function ($dataProvider) {
                    return $dataProvider->eventName;
                },
            ],
            [
                'label' => 'Этап',
                'value' => function ($dataProvider) {
                    if ($dataProvider->findModel($dataProvider->model_name)) {
                        return $dataProvider->model->workType->name . ' + ' . $dataProvider->model->surfaceName;
                    }

                    return 'Этап удален';
                },
                'format' => 'raw',
            ],
            [
                'attribute' => 'field_name',
                'value' => function ($dataProvider) {
                    return $dataProvider->modelAttributeLabel;
                },
            ],
            [
                'attribute' => 'old_value',
                'value' => function ($dataProvider) {
                    return $dataProvider->model->historyFormatter($dataProvider, 'old_value');
                },
            ],
            [
                'attribute' => 'new_value',
                'value' => function ($dataProvider) {
                    return $dataProvider->model->historyFormatter($dataProvider, 'new_value');
                },
            ],
            'created_at:datetime',
            [
                'attribute' => 'created_by',
                'value' => function ($dataProvider) {
                    return $dataProvider->createdByName;
                },
            ],
        ],
    ]); ?>
</div>
