<?php

use common\entities\Contract\ContractCompany;
use common\entities\Contract\ContractExpense;
use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;

/** @var yii\web\View $this */
/** @var common\entities\Contract\ContractExpense $model */
/** @var yii\bootstrap4\ActiveForm $form */
/** @var int $contractId */
?>

<div class="contract-expense-form">

    <?php $form = ActiveForm::begin(['id' => 'contract-expense-form']); ?>

    <div class="row g-2">
        <div class="col">
            <?= $form->field($model, 'expense_type')->dropDownList(ContractExpense::typeList(), ['prompt' => 'Выберите тип расхода']) ?>
        </div>
        <div class="col">
            <?= $form->field($model, 'amount')->textInput() ?>
            <?= $form->field($model, 'is_nds')->checkbox() ?>
        </div>
    </div>

    <div class="row g-2">
        <div class="col">
            <?= $form->field($model, 'contractor_id')
                ->dropDownList(ContractCompany::companiesList($contractId), ['prompt' => 'Выберите исполнителя']) ?>
        </div>
        <div class="col">
            <?= $form->field($model, 'comment')->textInput(['maxlength' => true]) ?>
        </div>
    </div>

    <?= $form->field($model, 'contract_id')->hiddenInput(['value' => $contractId])->label(false) ?>

    <div class="form-group">
        <?= Html::submitButton('Сохранить', ['class' => 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
