<?php

use yii\helpers\Html;
use yii\grid\GridView;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Связанные расходы';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="contract-expense-index">
    <p>
        <?= Html::a('Добавить расход', ['create'], ['class' => 'btn btn-primary']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            'id',
            [
                'attribute' => 'expense_type',
                'value' => function ($model) {
                    return $model->typeName;
                },
            ],
            [
                'attribute' => 'amount',
                'value' => function ($model) {
                    $value = Yii::$app->formatter->asDecimal($model->amount);
                    if ($model->is_nds === 0) {
                        return $value . ' (без НДС)';
                    } else {
                        return $value . ' (с НДС)';
                    }
                },
            ],
            [
                'attribute' => 'contractor_id',
                'value' => function ($model) {
                    return $model->contractor->company->full_name;
                },
            ],
            ['class' => 'yii\grid\ActionColumn',
                'header' => 'Опции',
                'template' => '{view} {update} ',
            ],
        ],
    ]); ?>
</div>
