<?php

use common\entities\Dictionaries\WorkType;
use common\helpers\DateHelper;
use kartik\date\DatePicker;
use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;

/** @var yii\web\View $this */
/** @var common\entities\Contract\ContractWork $model */
/** @var yii\bootstrap4\ActiveForm $form */
/** @var int $contractId */
?>

<div class="contract-work-form">

    <?php $form = ActiveForm::begin(['id' => 'contract-work-form']); ?>
    <?= $form->errorSummary($model) ?>
    <div class="row g-3">
        <div class="col">
            <?= $form->field($model, 'work_type_id')
                ->dropDownList(WorkType::workTypesList(), [
                    'prompt' => 'Выберите тип работы',
                    'readonly' => Yii::$app->controller->action->id === 'update',
                ]) ?>
        </div>
        <div class="col">
            <?= $form->field($model, 'date_start')->widget(DatePicker::class, [
                'language' => 'ru',
                'value' => $model->date_start = DateHelper::convert($model->date_start, 'date', 'dd.MM.yyyy'),
                'options' => ['placeholder' => 'Выберите дату начала работы'],
                'pickerIcon' => '<i class="fa fa-calendar text-primary"></i>',
                'removeIcon' => '<i class="fa fa-trash text-danger"></i>',
                'pluginOptions' => ['autoclose' => true, 'format' => 'dd.mm.yyyy'],
            ]) ?>
        </div>
        <div class="col">
            <?= $form->field($model, 'date_end')->widget(DatePicker::class, [
                'language' => 'ru',
                'value' => $model->date_end = DateHelper::convert($model->date_end, 'date', 'dd.MM.yyyy'),
                'options' => ['placeholder' => 'Выберите дату окончания работы'],
                'pickerIcon' => '<i class="fa fa-calendar text-primary"></i>',
                'removeIcon' => '<i class="fa fa-trash text-danger"></i>',
                'pluginOptions' => ['autoclose' => true, 'format' => 'dd.mm.yyyy'],
            ]) ?>
        </div>
    </div>

    <?= $form->field($model, 'contract_id')->hiddenInput(['value' => $contractId])->label(false) ?>

    <div class="form-group">
        <?= Html::submitButton('Сохранить', ['class' => 'btn btn-primary', 'id' => 'submit-button']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
