<?php

use yii\bootstrap4\LinkPager;
use yii\grid\GridView;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'История изменений по срокам выполнения работ';
?>
<div class="contract-work-history">
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'pager' => ['class' => LinkPager::class],
        'tableOptions' => ['class' => 'table table-bordered table-hover table-responsive'],
        'columns' => [
            //'id',
            [
                'attribute' => 'event',
                'value' => function ($dataProvider) {
                    return $dataProvider->eventName;
                },
            ],
            [
                'attribute' => 'field_name',
                'value' => function ($dataProvider) {
                    return $dataProvider->modelAttributeLabel;
                },
            ],
            'old_value:date',
            'new_value:date',
            'created_at:datetime',
            [
                'attribute' => 'created_by',
                'value' => function ($dataProvider) {
                    return $dataProvider->createdByName;
                },
            ],
        ],
    ]); ?>
</div>
