<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\web\YiiAsset;

/** @var yii\web\View $this */
/** @var common\entities\Contract\ContractWork $model */

$this->title = 'Сроки выполнения работы: ' . $model->workType->name;
$this->params['breadcrumbs'][] = [
    'label' => $model->contract->company->full_name,
    'url' => [
        'company/view',
        'id' => $model->contract->company->id,
        'tab' => 'tab_contract',
    ],
];
$this->params['breadcrumbs'][] = ['label' => 'Договор ' . $model->contract->number, 'url' => ['contract/view', 'id' => $model->contract_id]];
$this->params['breadcrumbs'][] = $this->title;
YiiAsset::register($this);
?>
<div class="contract-work-view">
    <p>
        <?= Html::a('Редактировать', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Удалить', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Вы уверены, что хотите удалить эту запись?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            [
                'attribute' => 'work_type_id',
                'value' => function ($model) {
                    return $model->workType->name;
                },
                'visible' => !empty($model->contract_id),
            ],
            'date_start:date',
            'date_end:date',
        ],
    ]) ?>
</div>
