<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\LinkPager;
use yii\grid\GridView;
use yii\helpers\Url;
use yii\widgets\Pjax;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'История изменений стоимости и порядку расчета';
$model = $dataProvider->getModels();
?>
<div class="contract-expense-history">
    <?php Pjax::begin(['id' => 'history-container']); ?>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'pager' => ['class' => LinkPager::class],
        'tableOptions' => ['class' => 'table table-hover table-responsive'],
        'columns' => [
            //'id',
            [
                'attribute' => 'event',
                'value' => function ($dataProvider) {
                    return $dataProvider->eventName;
                },
            ],
            [
                'attribute' => 'field_name',
                'value' => function ($dataProvider) {
                    return $dataProvider->modelAttributeLabel;
                },
            ],
            [
                'attribute' => 'old_value',
                'value' => function ($dataProvider) {
                    return $dataProvider->model->historyFormatter($dataProvider, 'old_value');
                },
            ],
            [
                'attribute' => 'new_value',
                'value' => function ($dataProvider) {
                    return $dataProvider->model->historyFormatter($dataProvider, 'new_value');
                },
            ],
            'created_at:datetime',
            [
                'attribute' => 'created_by',
                'value' => function ($dataProvider) {
                    return $dataProvider->createdByName;
                },
            ],
            ['class' => 'yii\grid\ActionColumn',
                'header' => 'Опции',
                'template' => '{delete}',
                'buttons' => [
                    'delete' => function ($url, $historyProvider) use ($model) {
                        $url = Url::to(['contract/history-delete', 'id' => $historyProvider->id, 'modelId' => $model[0]->model->id]);
                        return Html::a('<span class="fa fa-trash"></span>', $url, [
                            'title' => Yii::t('yii', 'Delete'),
                            'aria-label' => Yii::t('yii', 'Delete'),
                            //'data-method' => 'post',
                            /*
                            'onclick' => "
                                    if (confirm('Вы уверены, что хотите удалить эту запись')) {
                                        $.ajax('$url', {
                                            type: 'POST'
                                        }).done(function(data) {
                                            $.pjax.reload({container: '#history-container'});
                                        });
                                    }
                                    return false;
                                ",
                            */
                        ]);
                    },
                ],
            ],
        ],
    ]); ?>
    <?php Pjax::end(); ?>
</div>
