<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */
/** @var int $contractId */

$this->title = 'Страницы проекта';
$this->params['breadcrumbs'][] = ['label' => 'Договор', 'url' => ['contract/view', 'id' => $contractId]];
$this->params['breadcrumbs'][] = ['label' => 'Проектная документация', 'url' => ['project/index', 'contractId' => $contractId]];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="project-pages-index">
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            'id',
            [
                'attribute' => 'pdf_name',
                'headerOptions' => ['class' => 'text-wrap'],
            ],
            [
                'attribute' => 'name',
                'label' => 'Номер страницы',
                'value' => function ($model) {
                    $info = pathinfo($model->name);
                    return $info['filename'];
                },
                'headerOptions' => ['class' => 'text-wrap'],
            ],
            [
                'attribute' => 'work_type_id',
                'label' => 'Тип работы',
                'value' => function ($model) {
                    return $model->workType->name;
                },
            ],
            'stage',
            ['class' => 'yii\grid\ActionColumn',
                'header' => 'Маппинг',
                'template' => '{mapping}',
                'buttons' => [
                    'mapping' => function ($action, $model) {
                        return Html::a('<span class="fa fa-star"></span>', Url::to('http://editor.dev-kaska.ylab.site/?image_id=' . $model->id, 'http'), [
                            'title' => 'Маппинг',
                        ]);
                    },
                ],
            ],
        ],
    ]); ?>
</div>
