<?php

/** @var yii\web\View $this */
/** @var common\entities\Project\ProjectWorksContractor $model */

use common\entities\Contract\ContractCompany;
use common\entities\Dictionaries\WorkType;
use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;

$this->title = 'Редактирование исполнителя для работы: ' . $model->workType->name;
$this->params['breadcrumbs'][] = ['label' => 'Договор ' . $model->contract->number, 'url' => ['contract/view', 'id' => $model->contract_id]];
$this->params['breadcrumbs'][] = ['label' => 'Проектная документация', 'url' => ['project/index', 'contractId' => $model->contract_id]];
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="project-contractor-update">

    <?php $form = ActiveForm::begin(['id' => 'contract-work-form']); ?>

    <div class="row g-2">
        <div class="col">
            <?= $form->field($model, 'work_type_id')
                ->dropDownList(WorkType::workTypesList(), [
                    'prompt' => 'Выберите тип работы',
                    'disabled' => 'disabled',
                ]) ?>
        </div>
        <div class="col">
            <?= $form->field($model, 'contractor_id')
                ->dropDownList(ContractCompany::companiesList($model->contract_id), ['prompt' => 'Выберите исполнителя']) ?>
        </div>
    </div>

    <div class="form-group">
        <?= Html::submitButton('Сохранить', ['class' => 'btn btn-primary', 'id' => 'submit-button']) ?>
    </div>

    <?php ActiveForm::end(); ?>
</div>
