<?php

/** @var yii\web\View $this */
/** @var common\forms\ProjectUploadPdfForm $model */
/** @var int $contractId */

use backend\assets\AppAsset;
use yii\bootstrap4\Modal;
use yii\bootstrap4\Progress;
use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;

$this->title = 'Загрузка файла проектной документации';
?>

<?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data'], 'id' => 'pdf-form']) ?>

<?= $form->field($model, 'file')->fileInput() ?>
<?= Html::hiddenInput('contractId', $contractId, ['id' => 'contract-id']) ?>

<div class="form-group">
    <?= Html::a('Отправить', ['#'], ['class' => 'btn btn-primary', 'id' => 'batch_process']) ?>
    <?= Html::a('Отменить', ['index', 'contractId' => $contractId], ['class' => 'btn btn-danger']) ?>
</div>

<?php ActiveForm::end() ?>

<?php Modal::begin(['title' => '<h5 id="progress">0% Завершено</h5>', 'id' => 'progress-modal', 'closeButton' => false]); ?>

<?=
Progress::widget([
    'percent' => 0,
    'options' => ['class' => 'progress-success active progress-striped'],
]);
?>

<?php Modal::end(); ?>

<?php $this->registerJsFile('@web/js/progress.js', ['depends' => [AppAsset::class]]); ?>
