<?php

use common\entities\Dictionaries\UnitMeasure;
use common\entities\Dictionaries\WorkType;
use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;

/** @var yii\web\View $this */
/** @var common\entities\Dictionaries\WorkList $model */
/** @var yii\bootstrap4\ActiveForm $form */
?>

<div class="work-list-form">

    <?php $form = ActiveForm::begin(); ?>

    <div class="row g-3">
        <div class="col">
            <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>
        </div>
        <div class="col">
            <?= $form->field($model, 'alias')->textInput(['maxlength' => true]) ?>
        </div>
    </div>

    <?= $form->field($model, 'description')->textInput(['maxlength' => true]) ?>

    <div class="row g-3">
        <div class="col">
            <?= $form->field($model, 'work_type_id')
                ->dropDownList(WorkType::workTypesList(), ['prompt' => 'Выберите тип работы']) ?>
        </div>
        <div class="col">
            <?= $form->field($model, 'unit_measure_id')
                ->dropDownList(UnitMeasure::unitMeasuresList(), ['prompt' => 'Выберите единицу измерения']) ?>
        </div>
    </div>

    <p>
        <?= $this->render('materials_form', ['model' => $model]); ?>
    </p>

    <div class="form-group">
        <?= Html::submitButton('Сохранить', ['class' => 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
