<?php

use yii\bootstrap4\LinkPager;
use yii\helpers\Html;
use yii\grid\GridView;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Перечень работ';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="work-list-index">

    <p>
        <?= Html::a('Добавить', ['create'], ['class' => 'btn btn-primary']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'pager' => ['class' => LinkPager::class],
        'columns' => [
            //['class' => 'yii\grid\SerialColumn'],

            'id',
            'name',
            'alias',
            'description',
            [
                'attribute' => 'unit_measure_id',
                'value' => function ($model) {
                    return $model->unitMeasure->alias;
                },
                'format' => 'raw',
            ],
            [
                'attribute' => 'work_type_id',
                'value' => function ($model) {
                    return $model->workType->name;
                },
                'format' => 'raw',
            ],
            ['class' => 'yii\grid\ActionColumn',
                'header' => 'Опции',
                'template' => '{view} {update} ',
            ],
        ],
    ]); ?>


</div>
