<?php

use common\entities\Dictionaries\UnitMeasure;
use unclead\multipleinput\MultipleInput;

/** @var yii\web\View $this */
/** @var common\entities\Dictionaries\WorkList $model */
/** @var yii\bootstrap4\ActiveForm $form */
?>

<div class="work-list-form">

    <?= MultipleInput::widget([
        'name' => 'WorkListsMaterial',
        'data' => $model->workListsMaterials,
        'allowEmptyList' => true,
        'sortable' => true,
        'iconSource' => 'fa',
        //'addButtonOptions' => ['class' => 'hidden'],
        //'removeButtonOptions' => ['class' => 'hidden'],
        'attributeOptions' => [
            'enableAjaxValidation' => true,
            'enableClientValidation' => true,
            'validateOnChange' => true,
            'validateOnSubmit' => true,
            'validateOnBlur' => false,
        ],
        'columns' => [
            [
                'name' => 'name',
                'title' => 'Наименование материала',
                'type' => 'textInput',
                'options' => [
                    'max' => 255,
                    'required' => 'required',
                ],
            ],
            [
                'name' => 'unit_measure_id',
                'title' => 'Единица измерения',
                'type' => 'dropDownList',
                'items' => UnitMeasure::unitMeasuresList(),
                'options' => [
                    'prompt' => 'Выберите единицу измерения',
                    'options' => ['class' => 'form-control'],
                    'required' => 'required',
                ],
            ],
            [
                'name' => 'id',
                'type' => 'hiddenInput',
            ],
        ],
    ]) ?>
</div>
