function updateProgressBar(percentage) {
    var perc_string = 'Разбивка PDF файла на страницы: ' + percentage + '% Завершено';
    $('.progress-bar').attr('aria-valuenow', percentage);
    $('.progress-bar').css('width', percentage + '%');
    $('#pb-small').text(perc_string);
    $('#progress').text(perc_string);
}

function disposeProgressBar(message) {
    alert(message);
    $('#progress-modal').modal('hide');
}

function showProgressBar() {
    var perc = 0;
    var perc_string = 'Разбивка PDF файла на страницы: ' + perc + '% Завершено';
    $('.progress-bar').attr('aria-valuenow', perc);
    $('.progress-bar').css('width', perc + '%');
    $('#pb-small').text(perc_string);
    $('#progress').text(perc_string);
    $('#progress-modal').modal('show');
}

function batchSend(completePath, pageCount, contractId, iter, take, processed) {
    var group = iter + take < pageCount ? iter + take : pageCount;
    var progress = Math.round((group / pageCount) * 100);
    iter += take;
    $.ajax({
        url: 'save-image',
        type: 'post',
        data: {'completePath': completePath, 'pageCount': pageCount, 'page': iter, 'contractId': contractId},
        success: function (data) {
            if (data.result) {
                updateProgressBar(progress);
                processed += iter;
                if (progress < 100) {
                    batchSend(completePath, pageCount, contractId, iter, take, processed);
                } else {
                    top.location.href = 'image-work-type/?contractId='+contractId;
                }

                return true;
            }
            disposeProgressBar(data.error);
            return false;
        },
        error: function () {
            disposeProgressBar('Ошибка сохранения изображения');
            return false;
        }
    });
}

$('#batch_process').on('click', function (e) {
    e.preventDefault();
    var $that = $('#pdf-form'),
        formData = new FormData($that.get(0));
    var contractId = document.getElementById("contract-id").value;
    var $file = document.getElementById('projectuploadpdfform-file');
    options = {
        maxSize: 50 * 1024 * 1024,
        types: ['application/pdf'],
    }

    // Валидация
    // Выбран ли файл
    var result = [];
    if (!$file.files.length) {
        result.push({errorCode: 'Не выбран файл'});
        console.log('client validation errors: ', result);
        return false;
    }
    // Проверяем размер
    if ($file.files[0].size > options.maxSize) {
        result.push({name: $file.name, errorCode: 'Слишком большой размер файла'});
        console.log('client validation errors: ', result);
        return false;
    }
    // Проверяем тип файла
    if (options.types.indexOf($file.files[0].type) === -1) {
        result.push({name: $file.files[0].name, errorCode: 'Неверный тип файла'});
        console.log('client validation errors: ', result);
        return false;
    }

    showProgressBar();

    $.ajax({
        contentType: false,
        processData: false,
        url: 'upload-pdf/?contractId='+contractId,
        type: 'post',
        data: formData,
        success: function (data) {
            let completePath;
            let pageCount;
            if (data.result) {
                completePath = data.completePath;
                pageCount = data.pageCount;
                batchSend(completePath, pageCount, contractId, 0, 1, 0);
            }

            return false;
        },
        error: function () {
            disposeProgressBar('Ошибка загрузки pdf файла');
            return false;
        }
    });
});
