<?php


/* @var $this yii\web\View */
/* @var $generator common\components\gii\generators\controller\Generator */
/** @var array $properties */
/** @var array $types */
$required = [];
foreach (\yii\helpers\ArrayHelper::getValue($types, 'types.required',[]) as $field) {
    $required[] ='"' . $field . '"';
}
echo "<?php\n";
?>

/**
* @SWG\Definition(required={<?=  implode(', ', $required) ?>})
*
<?php
foreach ($properties as $property => $data): ?>
<?php
$type = \yii\helpers\ArrayHelper::getValue($types,'columnType.'.$property,$data['type']);
if($type =='int')
$type = 'integer';
?>
* @SWG\Property(property="<?= $property ?>", type="<?= $type ?>"<?= ($data['comment'] ? ', description="' . strtr($data['comment'], ["\n" => ' ']) . '"' : '') ?>)
<?php endforeach; ?>
<?php if (!empty($relations)): ?>
*
<?php foreach ($relations as $name => $relation): ?>
<?php if ($relation[2]) {
$type = 'type ="array", @SWG\Items(ref="#/definitions/' . $relation[1] . '")';
} else {
$type = 'ref="#/definitions/' . $relation[1] . '"';
} ?>
* @SWG\Property(property="<?= lcfirst($name) ?>", <?= $type ?>)
<?php endforeach; ?>
<?php endif; ?>
*/
class <?= $className ?> {}
