<?php

namespace common\entities\Dictionaries;

use yii\behaviors\TimestampBehavior;
use yii\db\ActiveRecord;
use yii\helpers\ArrayHelper;

/**
 * This is the model class for table "unit_measures".
 *
 * @property int $id
 * @property string $name Наименование
 * @property string $alias Сокращение
 * @property int $created_at Дата создания
 * @property int $updated_at Дата обновления
 */
class UnitMeasure extends ActiveRecord
{
    public static function tableName(): string
    {
        return '{{%unit_measures}}';
    }

    /**
     * {@inheritdoc}
     */
    public function rules(): array
    {
        return [
            [['name', 'alias'], 'required'],
            [['created_at', 'updated_at'], 'integer'],
            [['name'], 'string', 'max' => 128],
            [['alias'], 'string', 'max' => 6],
            [['name'], 'unique'],
            [['alias'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels(): array
    {
        return [
            'id' => 'ID',
            'name' => 'Наименование',
            'alias' => 'Сокращение',
            'created_at' => 'Дата создания',
            'updated_at' => 'Дата обновления',
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function behaviors(): array
    {
        return [
            TimestampBehavior::class,
        ];
    }

    /**
     * Массив единиц измерения по ID и сокращению.
     */
    public static function unitMeasuresList(): array
    {
        return ArrayHelper::map(self::find()->all(), 'id', 'alias');
    }
}
