<?php

namespace common\entities\Project;

use yii\db\ActiveQuery;
use yii\db\ActiveRecord;

/**
 * This is the model class for table "{{%axes}}".
 *
 * @property int $id
 * @property int $image_id Запись изображения
 * @property int $type Тип оси
 * @property int $position Положение
 * @property string|null $title Наименование оси
 *
 * @property ProjectImage $image
 */
class Axis extends ActiveRecord
{
    public const TYPE_VERTICAL = 10;
    public const TYPE_HORIZONTAL = 20;

    public static function tableName(): string
    {
        return '{{%axes}}';
    }

    /**
     * {@inheritdoc}
     */
    public function rules(): array
    {
        return [
            [['image_id', 'type', 'position'], 'required'],
            [['image_id', 'type', 'position'], 'integer'],
            [['title'], 'string', 'max' => 255],
            [['image_id'], 'exist', 'skipOnError' => true, 'targetClass' => ProjectImage::class, 'targetAttribute' => ['image_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels(): array
    {
        return [
            'id' => 'ID',
            'image_id' => 'Запись изображения',
            'type' => 'Тип оси',
            'position' => 'Положение',
            'title' => 'Наименование оси',
        ];
    }

    /**
     * Возвращает массив типов фигуры.
     */
    public static function typeList(): array
    {
        return [
            self::TYPE_VERTICAL => 'Вертикальная ось',
            self::TYPE_HORIZONTAL => 'Горизонтальная ось',
        ];
    }

    /**
     * Gets query for [[Image]].
     */
    public function getImage(): ActiveQuery
    {
        return $this->hasOne(ProjectImage::class, ['id' => 'image_id']);
    }
}
