<?php

namespace common\entities\Project;

use yii\db\ActiveQuery;

class ProjectWorkQuery
{
    public function getWorksQuery(int $contractId): ActiveQuery
    {
        $query = ProjectWorksContractor::find()
            ->alias('pwc')
            ->select('pwc.id, pwc.work_type_id, pwc.contract_id, pwc.contractor_id')
            ->where(['pwc.contract_id' => $contractId]);

        $subQuery = ProjectImage::find()
            ->alias('pwi')
            ->select('count(*) as page_count, pwi.work_type_id, pwi.contract_id')
            ->where(['pwi.contract_id' => $contractId])
            ->groupBy('pwi.work_type_id');

        $query->leftJoin(['images' => $subQuery], 'images.work_type_id = pwc.work_type_id');
        $query->andWhere(['>', 'page_count', 0]);

        return $query;
    }

    public function getPagesQuery(int $contractId, int $workTypeId): ActiveQuery
    {
        return ProjectImage::find()->where(['contract_id' => $contractId, 'work_type_id' => $workTypeId]);
    }
}
