<?php

namespace common\forms;

use dosamigos\transliterator\TransliteratorHelper;
use common\helpers\ProjectHelper;
use yii\base\Exception;
use yii\base\Model;
use yii\helpers\Inflector;
use yii\helpers\StringHelper;
use yii\web\UploadedFile;

/**
 * UploadForm is the model behind the upload form.
 */
class ProjectUploadPdfForm extends Model
{
    public ?UploadedFile $file = null;

    public function rules(): array
    {
        return [
            [['file'], 'required'],
            [['file'], 'file', 'checkExtensionByMimeType' => false, 'extensions' => 'pdf', 'mimeTypes' => 'application/pdf'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels(): array
    {
        return [
            'file' => 'Файл проектной документации',
        ];
    }

    /** @throws Exception */
    public function savePdf(UploadedFile $file): string
    {
        $path = ProjectHelper::getPdfSourcePath();
        $fileName = Inflector::slug(TransliteratorHelper::process($file->baseName), '-', true) . '.' . $file->extension;
        $fileName = StringHelper::truncate($fileName, 100);
        if (!file_exists($path . '/' . $fileName)) {
            $file->saveAs($path . '/' . $fileName);
        }

        return $fileName;
    }
}
