<?php

namespace common\forms\auth;

use yii\base\Model;
use common\entities\User\User;

class PasswordResetRequestForm extends Model
{
    public ?string $email = null;

    /**
     * {@inheritdoc}
     */
    public function rules(): array
    {
        return [
            ['email', 'trim'],
            ['email', 'required'],
            ['email', 'email'],
            ['email', 'exist',
                'targetClass' => User::class,
                'filter' => ['status' => User::STATUS_ACTIVE],
                'message' => 'Нет пользователя с таким email адресом',
            ],
        ];
    }
}
