<?php

namespace common\helpers;

use Yii;
use yii\base\InvalidConfigException;

class DateHelper
{
    public const DATE_FORMAT = 'php:Y-m-d';
    public const DATETIME_FORMAT = 'php:Y-m-d H:i:s';
    public const TIME_FORMAT = 'php:H:i:s';

    /** @throws InvalidConfigException */
    public static function convert(?string $dateStr, string $type = 'date', $format = null): ?string
    {
        if (!empty($dateStr)) {
            if ($type === 'datetime') {
                $fmt = $format == null ? self::DATETIME_FORMAT : $format;
            } elseif ($type === 'time') {
                $fmt = $format == null ? self::TIME_FORMAT : $format;
            } else {
                $fmt = $format == null ? self::DATE_FORMAT : $format;
            }

            return Yii::$app->formatter->asDate($dateStr, $fmt);
        }

        return null;
    }
}
