<?php

namespace common\helpers;

use Yii;

class DecimalNumberHelper
{
    /**
     * Форматирование дробного числа без лишних нулей в конце строки.
     *
     * @param $numVal
     * @param int $afterPoint
     * @param int $minAfterPoint
     * @return false|string
     */
    public static function numFormat($numVal, $afterPoint = 2, $minAfterPoint = 0)
    {
        $ret = Yii::$app->formatter->asDecimal($numVal, $afterPoint);
        if ($afterPoint !== $minAfterPoint) {
            while (($afterPoint > $minAfterPoint) && (substr($ret, -1) === '0')) {
                $ret = substr($ret, 0, -1);
                --$afterPoint;
            }
        }
        if (substr($ret, -1) === Yii::$app->formatter->decimalSeparator) {
            $ret = substr($ret, 0, -1);
        }

        return $ret;
    }
}
