<?php

namespace common\helpers;

use Yii;
use yii\base\Exception;
use yii\helpers\FileHelper;

class ProjectHelper
{
    /** @throws Exception */
    public static function getPdfSourcePath(): string
    {
        $path = Yii::getAlias('@pdf');
        self::checkFolder($path);

        return $path;
    }

    /** @throws Exception */
    public static function getImageSourcePath($pdfName): string
    {
        $path = Yii::getAlias('@images') . '/' . self::getFileName($pdfName);
        self::checkFolder($path);

        return $path;
    }

    /** @throws Exception */
    public static function getImageUrl($pdfName): string
    {
        $path = Yii::getAlias('@imageUrl') . '/' . self::getFileName($pdfName);

        return $path;
    }

    /** @throws Exception */
    public static function checkFolder(string $path): void
    {
        if (!file_exists($path)) {
            FileHelper::createDirectory($path, 0755, true);
        }
    }

    public static function getFileName($fileName): string
    {
        return pathinfo($fileName, PATHINFO_FILENAME);
    }
}
