<?php

namespace common\modules\entitiesHistory;

use yii\base\InvalidConfigException;
use yii\base\Module;
use yii\db\Connection;
use yii\di\Instance;
use yii\web\User;

/**
 * Модуль истории изменений записей сущностей
 */
class HistoryModule extends Module
{
    public string $tableName = '{{%model_histories}}';

    public string $storage = 'common\modules\entitiesHistory\storages\Database';

    /**
     * Компонент соединения с базой
     * @var Connection|array<string>|string
     */
    public $db = 'db';

    /**
     * Компонент авторизации
     * @var User|array<string>|string
     */
    public $user = 'user';

    /** @throws InvalidConfigException */
    public function init()
    {
        parent::init();

        $this->db = Instance::ensure($this->db, Connection::class);
        $this->user = Instance::ensure($this->user, User::class);
    }
}
