<?php

namespace common\modules\entitiesHistory\actions;

use common\modules\entitiesHistory\entities\History;
use Exception;
use Throwable;
use Yii;
use yii\base\Action;
use yii\web\NotFoundHttpException;
use yii\web\Response;

/**
 * Удаление записи из истории
 */
class DeleteAction extends Action
{
    /** @var array<string> $redirectUrl Редирект */
    public array $redirectUrl = ['index'];

    /**
     * @param $id
     * @return bool|Response
     * @throws NotFoundHttpException
     * @throws Exception
     * @throws Throwable
     */
    public function run($id, $modelId = null)
    {
        /** @var History $history */
        $history = History::findOne(['id' => $id]);

        if (empty($history)) {
            throw new NotFoundHttpException('Запись не найдена!');
        }

        if (!Yii::$app->request->isAjax) {
            return $this->controller->redirect($this->redirectUrl);
        }

        $history->delete();

        if ($modelId) {
            $this->redirectUrl['id'] = $modelId;
        }

        return $this->controller->redirect($this->redirectUrl);
    }
}
