<?php

namespace common\modules\entitiesHistory\actions;

use common\modules\entitiesHistory\entities\HistoryQuery;
use Yii;
use yii\base\Action;

/**
 * Вывод истории
 */
class IndexAction extends Action
{
    /** @var string Модель сущности источника */
    public string $modelClass;

    /** @var string Файл отображения */
    public string $viewFile;

    /** @var int Количество записей на странице */
    public int $pageSize = 20;

    public function run(): string
    {
        $model = new HistoryQuery();

        $get = Yii::$app->request->get();
        $modelClass = $this->modelClass;
        $dataProvider = $model->search($get, $modelClass);
        $dataProvider->pagination->pageSize = $this->pageSize;

        return $this->controller->render($this->viewFile, [
            'model' => $model,
            'dataProvider' => $dataProvider,
        ]);
    }
}
