<?php

namespace common\modules\entitiesHistory\storages;

use common\modules\entitiesHistory\forms\HistoryForm;
use common\modules\entitiesHistory\interfaces\Storage as StorageInterface;
use yii\base\BaseObject;

abstract class Base extends BaseObject implements StorageInterface
{
    /**
     * Коллекции зацписей сущности.
     * @var HistoryForm[]
     */
    protected array $collection = [];
    
    /**
     * Добавить изменения в коллекцию.
     */
    public function add(HistoryForm $model)
    {
        $this->collection[] = $model;
    }
    
    /**
     * Получить коллекцию изменений.
     * @return HistoryForm[]
     */
    public function getCollection(): array
    {
        return $this->collection;
    }
}
