<?php

namespace common\readModels;

use common\entities\Company\Company;
use yii\data\ActiveDataProvider;
use yii\data\DataProviderInterface;
use yii\db\ActiveQuery;

class CompanyReadRepository
{
    /**
     * Поиск договора по ID.
     */
    public function find(int $id): ?Company
    {
        return Company::findOne($id);
    }

    /**
     * Список клиентов
     */
    public function getAllClients(): DataProviderInterface
    {
        $query = Company::find()->where(['is_client' => true]);

        return $this->getProvider($query);
    }

    /**
     * Список компаний
     */
    public function getAllCompanies(): DataProviderInterface
    {
        $query = Company::find();

        return $this->getProvider($query);
    }

    private function getProvider(ActiveQuery $query): ActiveDataProvider
    {
        return new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSizeLimit' => [15, 100],
            ],
            'sort' => [
                'defaultOrder' => [
                    'created_at' => SORT_DESC,
                ],
            ],
        ]);
    }
}
