<?php

namespace common\readModels;

use common\entities\Contract\ContractEstimate;
use yii\data\ActiveDataProvider;
use yii\data\DataProviderInterface;
use yii\db\ActiveQuery;

class ContractEstimateReadRepository
{
    /**
     * Поиск договора по ID.
     */
    public function find(int $id): ?ContractEstimate
    {
        return ContractEstimate::findOne($id);
    }

    /**
     * Поиск договоров по ID юридического лица.
     */
    public function getEstimatesByContract($contractId): DataProviderInterface
    {
        $query = ContractEstimate::find()->where(['contract_id' => $contractId]);

        return $this->getProvider($query);
    }

    private function getProvider(ActiveQuery $query): ActiveDataProvider
    {
        return new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSizeLimit' => [15, 100],
            ],
        ]);
    }
}
