<?php

namespace common\readModels;

use common\entities\User\User;

class UserReadRepository
{
    /**
     * Поиск пользователя по ID
     */
    public function find(int $id): ?User
    {
        return User::findOne($id);
    }

    /**
     * Поиск пользователя по логину со статусом "активный"
     */
    public function findActiveByUsername(string $username): ?User
    {
        return User::findOne(['username' => $username, 'status' => User::STATUS_ACTIVE]);
    }

    /**
     * Поиск пользователя по ID со статусом "активный"
     */
    public function findActiveById(int $id): ?User
    {
        return User::findOne(['id' => $id, 'status' => User::STATUS_ACTIVE]);
    }

    /**
     * Поиск пользователя по токену доступа
     */
    public function findByAccessToken(string $token): ?User
    {
        return User::findOne(['access_token' => $token]);
    }
}
