<?php

namespace common\repositories;

use common\entities\Dictionaries\ConsumptionRate;
use RuntimeException;
use yii\base\ViewNotFoundException;
use yii\db\ActiveRecord;

class ConsumptionRateRepository
{
    /**
     * Поиск по ID
     */
    public function get($id): ConsumptionRate
    {
        return $this->getBy(['id' => $id]);
    }

    /**
     * Поиск по определенному условию
     * @param array<string> $condition
     * @return ConsumptionRate|ActiveRecord
     */
    private function getBy(array $condition): ConsumptionRate
    {
        if (!$rate = ConsumptionRate::find()->andWhere($condition)->limit(1)->one()) {
            throw new ViewNotFoundException('Запись не найдена');
        }

        return $rate;
    }

    /**
     * Сохранение записи
     */
    public function save(ConsumptionRate $rate): void
    {
        if (!$rate->save()) {
            throw new RuntimeException('Ошибка при сохранении');
        }
    }

    /**
     * Удаление записи
     * Exception
     */
    public function remove(ConsumptionRate $rate): void
    {
        if (!$rate->delete()) {
            throw new RuntimeException('Ошибка при удалении.');
        }
    }
}
