<?php

namespace common\repositories;

use common\entities\Contract\ContractEstimate;
use RuntimeException;
use yii\base\ViewNotFoundException;
use yii\db\ActiveRecord;

class ContractEstimateRepository
{
    /**
     * Поиск по ID
     */
    public function get($id): ContractEstimate
    {
        return $this->getBy(['id' => $id]);
    }

    /**
     * Поиск по определенному условию
     * @param array<string> $condition
     * @return ContractEstimate|ActiveRecord
     */
    private function getBy(array $condition): ContractEstimate
    {
        if (!$estimate = ContractEstimate::find()->andWhere($condition)->limit(1)->one()) {
            throw new ViewNotFoundException('Запись не найдена');
        }

        return $estimate;
    }

    /**
     * Сохранение записи
     */
    public function save(ContractEstimate $estimate): void
    {
        if (!$estimate->save()) {
            throw new RuntimeException('Ошибка при сохранении');
        }
    }

    /**
     * Удаление записи
     */
    public function remove(ContractEstimate $estimate): void
    {
        if (!$estimate->delete()) {
            throw new RuntimeException('Ошибка при удалении.');
        }
    }
}
