<?php

namespace common\repositories;

use common\entities\Dictionaries\WorkListsMaterial;
use RuntimeException;
use yii\base\ViewNotFoundException;
use yii\db\ActiveRecord;

class WorkListsMaterialRepository
{
    /**
     * Поиск по ID
     */
    public function get($id): WorkListsMaterial
    {
        return $this->getBy(['id' => $id]);
    }

    /**
     * Поиск по определенному условию
     * @param array<string> $condition
     * @return WorkListsMaterial|ActiveRecord
     */
    private function getBy(array $condition): WorkListsMaterial
    {
        if (!$material = WorkListsMaterial::find()->andWhere($condition)->limit(1)->one()) {
            throw new ViewNotFoundException('Запись не найдена');
        }

        return $material;
    }

    /**
     * Сохранение записи
     */
    public function save(WorkListsMaterial $material): void
    {
        if (!$material->save()) {
            throw new RuntimeException('Ошибка при сохранении');
        }
    }

    /**
     * Удаление записи
     * Exception
     */
    public function remove(WorkListsMaterial $material): void
    {
        if (!$material->delete()) {
            throw new RuntimeException('Ошибка при удалении.');
        }
    }
}
