<?php

namespace common\services;

use common\entities\Project\Axis;
use common\forms\Contract\ContractEstimateForm;
use common\repositories\AxisRepository;

class AxisService
{
    private AxisRepository $axisService;

    public function __construct(AxisRepository $axisService)
    {
        $this->axisService = $axisService;
    }

    /**
     * Создание записи.
     */
    public function create(ContractEstimateForm $form): Axis
    {
        $axis = Axis::create($form);
        $this->axisService->save($axis);

        return $axis;
    }

    /**
     * Редактирование записи.
     */
    public function edit(int $id, ContractEstimateForm $form): Axis
    {
        $axis = $this->axisService->get($id);
        $axis->edit($form);
        $this->axisService->save($axis);

        return $axis;
    }

    /**
     * Удаление записи.
     */
    public function remove($id): void
    {
        $axis = $this->axisService->get($id);
        $this->axisService->remove($axis);
    }
}
