<?php

namespace common\services;

use common\entities\Dictionaries\ConsumptionRate;
use common\repositories\ConsumptionRateRepository;

class ConsumptionRateService
{
    private ConsumptionRateRepository $consumptionsRate;

    public function __construct(ConsumptionRateRepository $rate)
    {
        $this->consumptionsRate = $rate;
    }

    /**
     * Создание записи.
     */
    public function create(int $work_list_id, float $work_unit_cost, float $work_scope): ConsumptionRate
    {
        $rate = ConsumptionRate::create($work_list_id, $work_unit_cost, $work_scope);
        $this->consumptionsRate->save($rate);

        return $rate;
    }

    /**
     * Редактирование записи.
     */
    public function edit(int $id, int $work_list_id, float $work_unit_cost, float $work_scope): ConsumptionRate
    {
        $rate = $this->consumptionsRate->get($id);
        $rate->edit($work_list_id, $work_unit_cost, $work_scope);
        $this->consumptionsRate->save($rate);

        return $rate;
    }

    /**
     * Удаление записи.
     */
    public function remove($id): void
    {
        $rate = $this->consumptionsRate->get($id);
        $this->consumptionsRate->remove($rate);
    }
}
