<?php

namespace common\services;

use common\entities\Contract\ContractEstimate;
use common\forms\Contract\ContractEstimateForm;
use common\repositories\ContractEstimateRepository;

class ContractEstimateService
{
    private ContractEstimateRepository $estimateService;

    public function __construct(ContractEstimateRepository $estimateService)
    {
        $this->estimateService = $estimateService;
    }

    /**
     * Создание записи.
     */
    public function create(ContractEstimateForm $form): ContractEstimate
    {
        $estimate = ContractEstimate::create($form);
        $this->estimateService->save($estimate);

        return $estimate;
    }

    /**
     * Редактирование записи.
     */
    public function edit(int $id, ContractEstimateForm $form): ContractEstimate
    {
        $estimate = $this->estimateService->get($id);
        $estimate->edit($form);
        $this->estimateService->save($estimate);

        return $estimate;
    }

    /**
     * Удаление записи.
     */
    public function remove($id): void
    {
        $estimate = $this->estimateService->get($id);
        $this->estimateService->remove($estimate);
    }
}
