<?php

namespace common\services;

use common\entities\Contract\Contract;
use common\forms\Contract\ContractAmountForm;
use common\forms\Contract\ContractForm;
use common\repositories\ContractRepository;

class ContractService
{
    private ContractRepository $contractService;

    public function __construct(ContractRepository $contractService)
    {
        $this->contractService = $contractService;
    }

    /**
     * Создание записи.
     */
    public function create(ContractForm $form): Contract
    {
        $contract = Contract::create($form);
        $this->contractService->save($contract);

        return $contract;
    }

    /**
     * Редактирование записи.
     */
    public function edit(int $id, ContractForm $form): Contract
    {
        $contract = $this->contractService->get($id);
        $contract->edit($form);
        $this->contractService->save($contract);

        return $contract;
    }

    /**
     * Редактирование записи.
     */
    public function amountEdit(int $id, ContractAmountForm $form): Contract
    {
        $contract = $this->contractService->get($id);
        $contract->edit($form);
        $this->contractService->save($contract);

        return $contract;
    }

    /**
     * Удаление записи.
     */
    public function remove($id): void
    {
        $contract = $this->contractService->get($id);
        $this->contractService->remove($contract);
    }
}
