<?php

namespace common\services;

use common\entities\Project\Figure;
use common\repositories\FigureRepository;

class FigureService
{
    private FigureRepository $figureService;

    public function __construct(FigureRepository $figureService)
    {
        $this->figureService = $figureService;
    }

    /**
     * Создание записи.
     */
    public function create(
        int $image_id,
        int $type,
        string $coordinates,
        string $object,
        string $title,
        float $length,
        float $width,
        float $area,
        float $footage,
        int $work_list_id,
        int $consumption_rate_id
    ): Figure {
        $figure = Figure::create($image_id, $type, $coordinates, $object, $title, $length, $width, $area, $footage, $work_list_id, $consumption_rate_id);
        $this->figureService->save($figure);

        return $figure;
    }

    /**
     * Редактирование записи.
     */
    public function edit(
        int $id,
        int $image_id,
        int $type,
        string $coordinates,
        string $object,
        string $title,
        float $length,
        float $width,
        float $area,
        float $footage,
        int $work_list_id,
        int $consumption_rate_id
    ): Figure {
        $figure = $this->figureService->get($id);
        $figure->edit($image_id, $type, $coordinates, $object, $title, $length, $width, $area, $footage, $work_list_id, $consumption_rate_id);
        $this->figureService->save($figure);

        return $figure;
    }

    /**
     * Удаление записи.
     */
    public function remove($id): void
    {
        $figure = $this->figureService->get($id);
        $this->figureService->remove($figure);
    }
}
