<?php

namespace common\services;

use Yii;
use yii\db\Exception;

class TransactionManager
{
    /** @throws Exception */
    public function wrap(callable $function): void
    {
        $transaction = Yii::$app->db->beginTransaction();
        try {
            $function();
            $transaction->commit();
        } catch (Exception $e) {
            $transaction->rollBack();
            throw $e;
        }
    }
}
