<?php

namespace common\services\auth;

use common\forms\auth\LoginForm;
use common\repositories\UserRepository;
use DomainException;
use yii\db\ActiveRecord;

class AuthService
{
    private UserRepository $users;

    public function __construct(UserRepository $users)
    {
        $this->users = $users;
    }

    /**
     * Авторизация пользователя
     */
    public function auth(LoginForm $form): ActiveRecord
    {
        $user = $this->users->findByUsernameOrEmail($form->username);
        if (!$user || !$user->isActive() || !$user->validatePassword($form->password)) {
            throw new DomainException('Undefined user or password.');
        }
        return $user;
    }
}
