<?php

namespace common\tests\unit\Contract;

use Codeception\Test\Unit;
use common\forms\Contract\ContractForm;
use common\tests\UnitTester;

class ContractTest extends Unit
{
    protected UnitTester $tester;

    /** @return array */
    public function fieldSuccessValues(): array
    {
        return [
            'number' => ['number', '№235435'],
            'date_start' => ['date_start', '2021-06-30'],
            'subject_address' => ['subject_address', 'Москва, ул. Строителей, д.3'],
            'subject_name' => ['subject_name', 'Стройка'],
            'is_act_counter_increase_annually' => ['is_act_counter_increase_annually', '1'],
            'documents_day_end' => ['documents_day_end', '23'],
            'status' => ['status', '20'],
            'created_at' => ['created_at', time()],
            'updated_at' => ['updated_at', time()],
        ];
    }

    /** @dataProvider fieldSuccessValues */
    public function testSuccessValidation($field, $value)
    {
        $item = new ContractForm();
        $item->$field = $value;
        $this->assertTrue($item->validate([$field]));
    }
}
