<?php

namespace common\tests\unit\entities\User;

use Codeception\Test\Unit;
use common\entities\User\User;
use yii\base\Exception;

class SignupTest extends Unit
{
    /** @throws Exception */
    public function testSuccess()
    {
        $user = User::requestSignup($username = 'username', $email = 'email@site.com', $password = 'password');

        $this->assertEquals($username, $user->username);
        $this->assertEquals($email, $user->email);
        $this->assertNotEmpty($user->password_hash);
        $this->assertNotEquals($password, $user->password_hash);
        $this->assertNotEmpty($user->created_at);
        $this->assertNotEmpty($user->auth_key);
        $this->assertFalse($user->isActive());
        $this->assertTrue($user->isInactive());
    }
}
