<?php

return [
    'id' => 'app-test',
    'basePath' => __DIR__ . '/..',
    'vendorPath' => __DIR__ . '/../../../vendor',
    'bootstrap' => ['history'],
    'modules' => [
        'history' => [
            'class' => 'common\modules\entitiesHistory\HistoryModule',
            'tableName' => '{{%model_histories}}',
        ],
    ],
    'components' => [
        'request' => [
            'enableCsrfValidation' => false,
            'cookieValidationKey' => 'wefJDF8sfdsfSDefwqdxj9oq',
            'scriptFile' => __DIR__ . '/index.php',
            'scriptUrl' => '/index.php',
        ],
        'assetManager' => [
            'basePath' => '@app/assets',
            'baseUrl' => '/',
        ],
        'user' => [
            'identityClass' => 'common\tests\unit\modules\models\User',
        ],
        'db' => [
            'class' => 'yii\db\Connection',
            'dsn' => 'mysql:host=' . getenv('DB_TEST_HOST', 'localhost') .
                ';port=' . getenv('DB_PORT', 3306) .
                ';dbname=' . getenv('DB_TEST_NAME', 'kaska_test'),
            'username' => getenv('DB_USERNAME'),
            'password' => getenv('DB_PASSWORD'),
            'charset' => 'utf8',
        ],
    ],
];
