<?php

namespace common\widgets;

use yii\base\Model;
use yii\base\Widget;
use yii\db\ActiveQuery;
use yii\db\ActiveRecord;

/**
 * Widget for display list of links to related models
 */
class RelatedList extends Widget
{
    /** @var ActiveRecord[] Related models */
    public array $models = [];

    /** @var array<string|int> attributes */
    public array $attributes = [];

    /**
     * [$value => $relatedField]
     * @var array<string|ActiveQuery> values
     */
    public array $values = [];

    public function run(): ?string
    {
        if (!$this->models) {
            return null;
        }

        $table = '<table class="table table-striped table-bordered">';
        $table .= '<thead class="">';
        foreach ($this->attributes as $attribute) {
            $table .= '<th class="text-center"><strong>' . $this->models[0]->getAttributeLabel($attribute) . '</strong></th>';
        }
        $table .= '</thead>';
        $table .= '<tbody>';
        foreach ($this->models as $model) {
            $table .= '<tr class="text-center">';
            foreach ($this->values as $value => $relatedField) {
                $value = $model->$value instanceof Model ? $model->$value->$relatedField : $model->$value;
                $table .= '<td>' . $value . '</td>';
            }
            $table .= '</tr>';
        }
        $table .= '</tbody>';
        $table .= '</table>';

        return $table;
    }
}
