<?php

use yii\db\Migration;

/**
 * Добавление таблицы с типами работ.
 */
class m210623_200545_create_work_types_table extends Migration
{
    private const TABLE_NAME = '{{%work_types}}';

    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_general_ci ENGINE=InnoDB';
        }

        $this->createTable(self::TABLE_NAME, [
            'id' => $this->primaryKey(11)->unsigned(),
            'name' => $this->string(128)->notNull()->unique()->comment('Наименование'),
            'alias' => $this->string(6)->notNull()->unique()->comment('Сокращение'),
            'description' => $this->string(512)->null()->comment('Описание'),
            'created_at' => $this->integer(11)->notNull()->comment('Дата создания'),
            'updated_at' => $this->integer(11)->notNull()->comment('Дата обновления'),
        ], $tableOptions);

        $this->addCommentOnTable(self::TABLE_NAME, 'Типы работ');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable(self::TABLE_NAME);
    }
}
