<?php

use yii\db\Migration;

/**
 * Добавление таблицы с норм расходов.
 */
class m210624_120321_create_consumption_rates_table extends Migration
{
    private const TABLE_NAME = '{{%consumption_rates}}';

    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_general_ci ENGINE=InnoDB';
        }

        $this->createTable(self::TABLE_NAME, [
            'id' => $this->primaryKey()->unsigned(),
            'work_list_id' => $this->integer(11)->unsigned()->notNull()->comment('Запись работы'),
            'work_scope' => $this->decimal(10, 2)->unsigned()->notNull()->comment('Планируемый объем работ'),
            'work_unit_cost' => $this->decimal(10, 2)->unsigned()->notNull()->comment('Стоимость за единицу работы'),
            'created_at' => $this->integer(11)->notNull()->comment('Дата создания'),
            'updated_at' => $this->integer(11)->notNull()->comment('Дата обновления'),
        ], $tableOptions);

        $this->addCommentOnTable(self::TABLE_NAME, 'Нормы расходов');

        $this->addForeignKey(
            'FK1_consumption_rates_work_list_id',
            self::TABLE_NAME,
            'work_list_id',
            '{{%work_lists}}',
            'id',
            'CASCADE',
        );
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('FK1_consumption_rates_work_list_id', self::TABLE_NAME);

        $this->dropTable(self::TABLE_NAME);
    }
}
