<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%contract_companies}}`.
 */
class m210630_112123_create_contract_companies_table extends Migration
{
    private const TABLE_NAME = '{{%contract_companies}}';

    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_general_ci ENGINE=InnoDB';
        }

        $this->createTable(self::TABLE_NAME, [
            'id' => $this->primaryKey(11)->unsigned(),
            'contract_id' => $this->integer(11)->unsigned()->notNull()->comment('Запись договора'),
            'company_id' => $this->integer(11)->unsigned()->notNull()->comment('Запись юридического лица'),
            'role' => $this->tinyInteger(2)->notNull()->comment('Роль в договоре'),
        ], $tableOptions);

        $this->addCommentOnTable(self::TABLE_NAME, 'Компании по договорам');

        $this->addForeignKey(
            'FK1_contract_companies_contract_id',
            self::TABLE_NAME,
            'contract_id',
            '{{%contracts}}',
            'id',
            'CASCADE',
        );
        $this->addForeignKey('FK2_contract_companies_company_id', self::TABLE_NAME, 'company_id', '{{%companies}}', 'id');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('FK1_contract_companies_contract_id', self::TABLE_NAME);
        $this->dropForeignKey('FK2_contract_companies_company_id', self::TABLE_NAME);

        $this->dropTable(self::TABLE_NAME);
    }
}
