<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%contract_works}}`.
 */
class m210701_125611_create_contract_works_table extends Migration
{
    private const TABLE_NAME = '{{%contract_works}}';

    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_general_ci ENGINE=InnoDB';
        }

        $this->createTable(self::TABLE_NAME, [
            'id' => $this->primaryKey(11)->unsigned(),
            'contract_id' => $this->integer(11)->unsigned()->notNull()->comment('Запись договора'),
            'work_type_id' => $this->integer(11)->unsigned()->notNull()->comment('Тип работы'),
            'date_start' => $this->date()->notNull()->comment('Дата начала работы'),
            'date_end' => $this->date()->notNull()->comment('Дата окончания работы'),
        ], $tableOptions);

        $this->addCommentOnTable(self::TABLE_NAME, 'Сроки выполнения работ по договору');

        $this->addForeignKey(
            'FK1_contract_works_contract_id',
            self::TABLE_NAME,
            'contract_id',
            '{{%contracts}}',
            'id',
            'CASCADE',
        );
        $this->addForeignKey(
            'FK2_contract_works_work_type_id',
            self::TABLE_NAME,
            'work_type_id',
            '{{%work_types}}',
            'id',
        );
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('FK1_contract_works_contract_id', self::TABLE_NAME);
        $this->dropForeignKey('FK2_contract_works_work_type_id', self::TABLE_NAME);

        $this->dropTable(self::TABLE_NAME);
    }
}
