<?php

use yii\db\Migration;

/**
 * Handles adding columns to table `{{%contracts}}`.
 */
class m210701_191137_add_amounts_columns_to_contracts_table extends Migration
{
    private const TABLE_NAME = '{{%contracts}}';

    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn(self::TABLE_NAME, 'is_prepayment', $this->tinyInteger(1)
            ->null()->defaultValue(0)->comment('Авансовый платеж')->after('status'));
        $this->addColumn(self::TABLE_NAME, 'prepayment_percent', $this->tinyInteger(2)
            ->unsigned()->null()->comment('Процент авансового платежа')->after('is_prepayment'));
        $this->addColumn(self::TABLE_NAME, 'report_start_day', $this->tinyInteger(2)
            ->null()->comment('Число начала отчетного периода')->after('is_prepayment'));
        $this->addColumn(self::TABLE_NAME, 'report_end_day', $this->tinyInteger(2)
            ->null()->comment('Число окончания отчетного периода')->after('report_start_day'));
        $this->addColumn(self::TABLE_NAME, 'date_works_start', $this->date()
            ->null()->comment('Дата начала работ')->after('report_end_day'));
        $this->addColumn(self::TABLE_NAME, 'date_works_end', $this->date()
            ->null()->comment('Дата окончания работ')->after('date_works_start'));
        $this->addColumn(self::TABLE_NAME, 'amount', $this->decimal(10, 2)
            ->unsigned()->null()->comment('Общая стоимость')->after('date_works_end'));
        $this->addColumn(self::TABLE_NAME, 'is_nds', $this->boolean()
            ->null()->defaultValue(0)->comment('НДС')->after('amount'));
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn(self::TABLE_NAME, 'is_prepayment');
        $this->dropColumn(self::TABLE_NAME, 'prepayment_percent');
        $this->dropColumn(self::TABLE_NAME, 'report_start_day');
        $this->dropColumn(self::TABLE_NAME, 'report_end_day');
        $this->dropColumn(self::TABLE_NAME, 'date_works_start');
        $this->dropColumn(self::TABLE_NAME, 'date_works_end');
        $this->dropColumn(self::TABLE_NAME, 'amount');
        $this->dropColumn(self::TABLE_NAME, 'is_nds');
    }
}
