<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%model_history}}`.
 */
class m210706_083425_create_model_histories_table extends Migration
{
    private const TABLE_NAME = '{{%model_histories}}';

    /**
     * Накат миграции
     */
    public function safeUp()
    {
        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_general_ci ENGINE=InnoDB';
        }

        $this->createTable(self::TABLE_NAME, [
            'id' => $this->primaryKey(11)->unsigned(),
            'table_name' => $this->string(255)->notNull()->comment('Имя таблицы источника'),
            'model_name' => $this->string(255)->notNull()->comment('Имя модели источника'),
            'row_id' => $this->integer(11)->unsigned()->notNull()->comment('ID записи источника'),
            'event' => $this->tinyInteger(1)->notNull()->comment('Событие триггер'),
            'created_at' => $this->integer(11)->notNull()->comment('Дата создания'),
            'created_by' => $this->integer(11)->notNull()->comment('Автор'),
            'field_name' => $this->string(255)->null()->comment('Аттрибут'),
            'old_value' => $this->text()->null()->comment('Старое значение'),
            'new_value' => $this->text()->null()->comment('Новое значение'),
        ], $tableOptions);

        $this->addCommentOnTable(self::TABLE_NAME, 'Истории изменений');

        $this->createIndex('NK_1', self::TABLE_NAME, 'table_name');
        $this->createIndex('NK_2', self::TABLE_NAME, ['table_name', 'row_id']);
        $this->createIndex('NK_3', self::TABLE_NAME, ['table_name', 'field_name']);
        $this->createIndex('NK_4', self::TABLE_NAME, 'event');
    }

    /**
     * Откат миграции
     */
    public function safeDown()
    {
        $this->dropTable(self::TABLE_NAME);
    }
}
