<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%project_images}}`.
 */
class m210714_115154_create_project_images_table extends Migration
{
    private const TABLE_NAME = '{{%project_images}}';

    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_general_ci ENGINE=InnoDB';
        }

        $this->createTable(self::TABLE_NAME, [
            'id' => $this->primaryKey(11)->unsigned(),
            'name' => $this->string(255)->notNull()->comment('Наименование изображения'),
            'contract_id' => $this->integer(11)->unsigned()->notNull()->comment('Запись договора'),
            'work_type_id' => $this->integer(11)->unsigned()->null()->comment('Запись типа работы'),
            'pdf_name' => $this->string(255)->notNull()->comment('Наименование pdf файла'),
            'is_info_page' => $this->boolean()->defaultValue(0)->comment('Информационная страница'),
        ], $tableOptions);

        $this->addCommentOnTable(self::TABLE_NAME, 'Проектные изображения');

        $this->addForeignKey(
            'FK1_project_images_contract_id',
            self::TABLE_NAME,
            'contract_id',
            '{{%contracts}}',
            'id',
            'CASCADE',
        );
        $this->addForeignKey(
            'FK2_project_images_work_type_id',
            self::TABLE_NAME,
            'work_type_id',
            '{{%work_types}}',
            'id',
        );
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('FK1_project_images_contract_id', self::TABLE_NAME);
        $this->dropForeignKey('FK2_project_images_work_type_id', self::TABLE_NAME);

        $this->dropTable(self::TABLE_NAME);
    }
}
