<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%project_works_contractors}}`.
 */
class m210714_115259_create_project_works_contractors_table extends Migration
{
    private const TABLE_NAME = '{{%project_works_contractors}}';

    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_general_ci ENGINE=InnoDB';
        }

        $this->createTable(self::TABLE_NAME, [
            'id' => $this->primaryKey(11)->unsigned(),
            'contract_id' => $this->integer(11)->unsigned()->notNull()->comment('Запись договора'),
            'work_type_id' => $this->integer(11)->unsigned()->notNull()->comment('Запись типа работы'),
            'contractor_id' => $this->integer(11)->unsigned()->null()->comment('Ответственный за исполнение'),
        ], $tableOptions);

        $this->addCommentOnTable(self::TABLE_NAME, 'Привязка типа работы к исполнителю');

        $this->addForeignKey(
            'FK1_project_works_contractors_contract_id',
            self::TABLE_NAME,
            'contract_id',
            '{{%contracts}}',
            'id',
            'CASCADE',
        );
        $this->addForeignKey(
            'FK2_project_works_contractors_work_type_id',
            self::TABLE_NAME,
            'work_type_id',
            '{{%work_types}}',
            'id',
            'CASCADE',
        );
        $this->addForeignKey(
            'FK3_project_works_contractors_contractor_id',
            self::TABLE_NAME,
            'contractor_id',
            '{{%contract_companies}}',
            'company_id',
            'SET NULL',
        );
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('FK1_project_works_contractors_contract_id', self::TABLE_NAME);
        $this->dropForeignKey('FK2_project_works_contractors_work_type_id', self::TABLE_NAME);
        $this->dropForeignKey('FK3_project_works_contractors_contractor_id', self::TABLE_NAME);

        $this->dropTable(self::TABLE_NAME);
    }
}
