<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%axes}}`.
 */
class m210802_155135_create_axes_table extends Migration
{
    private const TABLE_NAME = '{{%axes}}';

    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_general_ci ENGINE=InnoDB';
        }

        $this->createTable(self::TABLE_NAME, [
            'id' => $this->primaryKey(11)->unsigned(),
            'image_id' => $this->integer(11)->unsigned()->notNull()->comment('Запись изображения'),
            'type' => $this->tinyInteger(2)->notNull()->comment('Тип оси'),
            'position' => $this->integer(11)->notNull()->comment('Положение'),
            'title' => $this->string(255)->null()->comment('Наименование оси'),
        ], $tableOptions);

        $this->addCommentOnTable(self::TABLE_NAME, 'Оси');

        $this->addForeignKey('FK1_axes_image_id', self::TABLE_NAME, 'image_id', '{{%project_images}}', 'id', 'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('FK1_axes_image_id', self::TABLE_NAME);

        $this->dropTable(self::TABLE_NAME);
    }
}
