# Конфигурирование проекта

> Все пути к файлам приведены относительно корня проекта.

## Команда инициализации

```bash
./init
```

Команда копирует дополнительные файлы конфигурации из `environment/<имя_конфигурации>/config/` 
в соответствующие директории проекта.

В них определяются (и переопределяются) специфичные для окружения (и сервера) настройки.  
Например настройки отправки почты.

## Настройка подключения к БД

Настройка компонента подключения к БД описывается в файле `./.env`.

Это локальный файл. Его необходимо создать путем копирования файла `./.env.example` и переименованием в `./.env` 

Пример конфигурации:

```yaml
DB_NAME=kaska
DB_TEST_NAME=kaska_test
DB_USERNAME=kaska
DB_PASSWORD=$DB_PASSWORD
DB_HOST=dev.kaska.ylab.site
DB_TEST_HOST=mariadb
DB_PORT=3306
```
Перейти к [README.md](../README.md).
