# Развертывание проекта

Развертывание проекта заключается в установке зависимостей, развертывании структуры БД 
и инициализации первоначальных значений.

Корневой путь админки:

> ./backend/web/

## Для среды разработки

1. Установка зависимостей через composer.  
    В директории проекта необходимо выполнить команду:
   ```bash
    composer install --no-interaction --no-progress --prefer-dist
    ```

2. Инициализация настроек.
    В директории проекта необходимо выполнить команду:
    
    ```bash
    ./init --env=Development --overwrite=All
    ```

3. Развертывание структуры БД.
    Для этого используется механизм миграций.
    Для их применения необходимо выполнить команду:
    
    ```bash
    ./yii migrate
    ```

4. Загрузка начальных данных.
   Для внесения начальны данных необходимо выполнить команду:

    ```bash
    ./yii app/init
    ```

   Будут добавлены:
    - пользователь админки (имя пользователя `admin`, пароль `123456`, email `admin@example.com`)
    
Перейти к [README.md](../README.md).
