#!/bin/sh
docker run -v /var/www/kaska:/var/www/html php:7.4-fpm-alpine sh -c 'set -xe && apk update && apk upgrade \
&& apk add --no-cache curl \
&& apk add --no-cache --virtual .phpize-deps $PHPIZE_DEPS imagemagick-dev libtool \
&& export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" \
&& pecl install imagick \
&& docker-php-ext-enable imagick \
&& apk add --no-cache --virtual .imagick-runtime-deps imagemagick \
&& docker-php-ext-install pdo_mysql \
&& curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer \
&& composer install --no-interaction --no-progress --prefer-dist --no-scripts \
&& php init --env=Development --overwrite=n \
&& php ./yii migrate --interactive=0 && php ./yii app/init' \
