<?php

use yii\log\FileTarget;

$params = array_merge(require __DIR__ . '/../../common/config/params.php', require __DIR__ . '/params.php');

$config = [
    'id' => 'app-swagger',
    'language' => 'ru_RU',
    'basePath' => dirname(__DIR__),
    'controllerNamespace' => 'swagger\controllers',
    'components' => [
        'request' => [
            'csrfParam' => '_csrf-swagger',
            'cookieValidationKey' => 'XaU78D4R0Nt7Rz41jqCuPxQRih__sE9w6',
        ],
        'session' => [
            // this is the name of the session cookie used for login on the admin
            'name' => 'advanced-swagger',
        ],
        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
            'targets' => [
                [
                    'class' => FileTarget::class,
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],
        'errorHandler' => [
            'errorAction' => 'site/error',
        ],
        'urlManager' => [
            'enablePrettyUrl' => true,
            'showScriptName' => false,
            'rules' => [
            ],
        ],
    ],
    'params' => $params,
    'modules' => [
    ],
];

if (YII_ENV_DEV) {
    $config['bootstrap'] = ['gii'];

    $config['modules']['gii'] = [
        'class' => 'yii\gii\Module',
        'allowedIPs' => ['*'],
        'generators' => [
            'controller' => [
                'class' => \common\components\gii\generators\controller\Generator::class,
                'templates' => [
                    'api' => '@common/components/gii/generators/controller/default',
                ],
            ],
            'modelApi' => [
                'class' => \common\components\gii\generators\model\Generator::class,
                'templates' => [
                    'api' => '@common/components/gii/generators/model/default',
                ],
            ],
        ],
    ];
}

return $config;
