<?php

namespace swagger\controllers;

use Yii;
use yii\helpers\Url;
use yii\web\Controller;

/**
 * @SWG\Swagger(
 *     basePath="/",
 *     produces={"application/json"},
 *     consumes={"application/x-www-form-urlencoded"},
 * @SWG\Info(version="1.0", title="Simple API"),
 * )
 */
class SiteController extends Controller
{
    public function init()
    {
        parent::init();

        $this->layout = false;
    }

    public function actions(): array
    {
        return [
            'index' => [
                'class' => 'yii2mod\swagger\SwaggerUIRenderer',
                'restUrl' => Url::to(['json-schema']),
            ],
            'json-schema' => [
                'class' => 'yii2mod\swagger\OpenAPIRenderer',
                'scanDir' => [
                    Yii::getAlias('@swagger') . DIRECTORY_SEPARATOR . 'docs',
                ],
                'cache' => null,
            ],
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }
}
