<?php
/**
 * @SWG\Get(
 *     path="/v1/axes",
 *     summary="Список осей",
 *     description="Возвращает массив осей",
 *     security={{"apiKey":{}}},
 *     tags={"Оси"},
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(
 *             type="array",
 *             @SWG\Items(ref="#/definitions/Axis")
 *          )
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 *
 * @SWG\Get(
 *     path="/v1/axes/{figure_id}",
 *     summary="Ось по идентификатору",
 *     description="Ось по идентификатору",
 *     security={{"apiKey":{}}},
 *     tags={"Оси"},
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(ref="#/definitions/Axis"),
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 *
 * @SWG\Post(
 *     path="/v1/axes",
 *     summary="Создание оси",
 *     description="Создание оси",
 *     security={{"apiKey":{}}},
 *     tags={"Оси"},
 *     @SWG\Parameter(
 *         description="Массив осей",
 *         in="body",
 *         required=true,
 *         name="axis",
 *         type="array",
 *         @SWG\Schema(ref="#/definitions/Axis"),
 *     ),
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(ref="#/definitions/Axis"),
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 *  ),
 *
 * @SWG\Put(
 *     path="/v1/axes/{axis_id}",
 *     summary="Обновление оси",
 *     description="Обновление оси",
 *     security={{"apiKey":{}}},
 *     tags={"Оси"},
 *     @SWG\Parameter(
 *         description="Массив оси",
 *         in="body",
 *         required=true,
 *         name="axis",
 *         @SWG\Schema(ref="#/definitions/Axis"),
 *     ),
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(ref="#/definitions/Axis"),
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 *
 * @SWG\Delete(
 *     path="/v1/axes/{axis_id}",
 *     summary="Удаление оси",
 *     description="Удаление оси",
 *     security={{"apiKey":{}}},
 *     tags={"Оси"},
 *     @SWG\Response(
 *         response=204,
 *         description="Успешное выполнение",
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 */