<?php
/**
 * @SWG\Get(
 *     path="/v1/estimates",
 *     summary="Список смет",
 *     description="Возвращает массив смет",
 *     security={{"apiKey":{}}},
 *     tags={"Сметы"},
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(
 *             type="array",
 *             @SWG\Items(ref="#/definitions/Estimate")
 *          )
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 *
 * @SWG\Get(
 *     path="/v1/estimates/{estimate_id}",
 *     summary="Смета по идентификатору сметы",
 *     description="Смета по идентификатору сметы",
 *     security={{"apiKey":{}}},
 *     tags={"Сметы"},
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(ref="#/definitions/Estimate"),
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 *
 * @SWG\Post(
 *     path="/v1/estimates",
 *     summary="Создание сметы",
 *     description="Создание сметы",
 *     security={{"apiKey":{}}},
 *     tags={"Сметы"},
 *     @SWG\Parameter(
 *         description="Массив смет",
 *         in="body",
 *         required=true,
 *         name="estimates",
 *         type="array",
 *         @SWG\Schema(ref="#/definitions/Estimate"),
 *     ),
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(ref="#/definitions/Estimate"),
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 *  ),
 *
 */