<?php
/**
 * @SWG\Get(
 *     path="/v1/figures",
 *     summary="Список фигур",
 *     description="Возвращает массив фигур",
 *     security={{"apiKey":{}}},
 *     tags={"Фигуры"},
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(
 *             type="array",
 *             @SWG\Items(ref="#/definitions/Figure")
 *          )
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 *
 * @SWG\Get(
 *     path="/v1/figures/{figure_id}",
 *     summary="Фигура по идентификатору",
 *     description="Фигура по идентификатору",
 *     security={{"apiKey":{}}},
 *     tags={"Фигуры"},
 *     @SWG\Parameter(
 *         description="Id фигуры",
 *         in="path",
 *         required=true,
 *         name="figure_id",
 *         type="integer",
 *         format="int64"
 *     ),
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(ref="#/definitions/Figure"),
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 *
 * @SWG\Post(
 *     path="/v1/figures",
 *     summary="Создание фигуры",
 *     description="Создание фигуры",
 *     security={{"apiKey":{}}},
 *     tags={"Фигуры"},
 *     @SWG\Parameter(
 *         description="Массив фигуры",
 *         in="body",
 *         required=true,
 *         name="figures",
 *         type="array",
 *         @SWG\Schema(ref="#/definitions/Figure"),
 *     ),
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(ref="#/definitions/Figure"),
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 *  ),
 *
 * @SWG\Put(
 *     path="/v1/figures/{figure_id}",
 *     summary="Обновление фигуры",
 *     description="Обновление фигуры",
 *     security={{"apiKey":{}}},
 *     tags={"Фигуры"},
 *     @SWG\Parameter(
 *         description="Id фигуры",
 *         in="path",
 *         required=true,
 *         name="figure_id",
 *         type="integer",
 *         format="int64"
 *     ),
 *     @SWG\Parameter(
 *         description="Массив фигуры",
 *         in="body",
 *         required=true,
 *         name="figure",
 *         @SWG\Schema(ref="#/definitions/Figure"),
 *     ),
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(ref="#/definitions/Figure"),
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 *
 * @SWG\Delete(
 *     path="/v1/figures/{figure_id}",
 *     summary="Удаление фигуры",
 *     description="Удаление фигуры",
 *     security={{"apiKey":{}}},
 *     tags={"Фигуры"},
 *     @SWG\Parameter(
 *         description="Id фигуры",
 *         in="path",
 *         required=true,
 *         name="figure_id",
 *         type="integer",
 *         format="int64"
 *     ),
 *     @SWG\Response(
 *         response=204,
 *         description="Успешное выполнение",
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 */