<?php

/**
 * @SWG\Get(
 *     path="/v1/unit-measures/{unit_measure_id}",
 *     summary="Единица измерения",
 *     description="Возвращает единицу измерения",
 *     security={{"apiKey":{}}},
 *     tags={"Единица измерения"},
 *     @SWG\Parameter(
 *         description="Id единицы измерения",
 *         in="path",
 *         required=true,
 *         name="unit_measure_id",
 *         type="integer",
 *         format="int64"
 *     ),
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(
 *             type="array",
 *             @SWG\Items(
 *                  @SWG\Property(property="id", description="Id единицы измерения", type="integer"),
 *                  @SWG\Property(property="name", description="Наименование единицы измерения", type="string"),
 *                  @SWG\Property(property="alias", description="Сокращение единицы измерения", type="string"),
 *             )
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="404",
 *         description="not_found",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/HttpException404")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 */
