<?php

/**
 * @SWG\Get(
 *     path="/v1/work-lists/works",
 *     summary="Получить список всех работ из перечня",
 *     description="Возвращает список работ",
 *     security={{"apiKey":{}}},
 *     tags={"Работы"},
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(
 *             type="array",
 *             @SWG\Items(
 *                  @SWG\Property(property="id", description="Id работы", type="integer"),
 *                  @SWG\Property(property="name", description="Наименование работы", type="string"),
 *             )
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 * @SWG\Get(
 *     path="/v1/work-lists/{work_List_id}",
 *     summary="Получить работу из перечня по ID",
 *     description="Возвращает запись работу из перечня",
 *     security={{"apiKey":{}}},
 *     tags={"Работы"},
 *     @SWG\Response(
 *         response=200,
 *         description="Успешное выполнение",
 *         @SWG\Schema(
 *             type="array",
 *             @SWG\Items(
 *                  @SWG\Property(property="id", description="Id работы", type="integer"),
 *                  @SWG\Property(property="name", description="Наименование работы", type="string"),
 *                  @SWG\Property(property="alias", description="Сокращение работы", type="string"),
 *                  @SWG\Property(property="unit_measure", description="Единица измерения", type="string"),
 *                  @SWG\Property(property="_links", type="array",
 *                      @SWG\Items(
 *                          @SWG\Property(property="view", type="array",
 *                              @SWG\Items(
 *                                  @SWG\Property(property="href", description="Ссылка на страницу просмотра записи", type="string"),
 *                              ),
 *                          ),
 *                          @SWG\Property(property="create", type="array",
 *                              @SWG\Items(
 *                                  @SWG\Property(property="href", description="Ссылка на страницу создания записи", type="string"),
 *                              ),
 *                          ),
 *                      ),
 *                  ),
 *             ),
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="403",
 *         description="Forbidden",
 *         @SWG\Schema(
 *             @SWG\Items(ref="#/definitions/HttpException403")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="404",
 *         description="not_found",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/HttpException404")
 *         ),
 *     ),
 *     @SWG\Response(
 *         response="500",
 *         description= "critical_error_thrown",
 *         @SWG\Schema(
 *                 @SWG\Items(ref="#/definitions/Exception")
 *         ),
 *     ),
 * ),
 */
